POSTgetMultipleAccounts

Returns the account information for a list of Pubkeys.

Request Body
jsonrpcstringrequired
idintegerrequired
methodstringrequired
paramsoneOf[]required

It contains following items:

  1. Pubkeys (required)
  2. ConfigurationObject (optional)
params[0]string[]

An array of Pubkeys to query, as base-58 encoded strings (up to a maximum of 100)

Responses
idinteger

The request ID

jsonrpcstring

The JSON-RPC version

contextobject

An object containing metadata about the current state of the Solana network at the time of the request.

apiVersionstring

The API version used for the request

slotinteger

The slot number at which the request was evaluated

valueobject[]
dataany[]

Data associated with the account, either as encoded binary data or JSON format {: } - depending on encoding parameter

executableboolean

Boolean indicating if the account contains a program (and is strictly read-only)

lamportsinteger (uint64)

Number of lamports assigned to this account

ownerstring

Base-58 encoded Pubkey of the program this account has been assigned to

rentEpochinteger (uint64)

The epoch at which this account will next owe rent

spaceinteger (uint64)

The data size of the account

X-API-KEY
RequestCU30
cURL
curl -X POST "https://solana-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "getMultipleAccounts",
  "params": [
    [
      "vines1vzrYbzLMRdu58ou5XTby4qAqVRLmqo36NKPTg",
      "4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YypT7avPYvA"
    ],
    {
      "encoding": "base58",
      "commitment": "finalized"
    }
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": {
    "context": {
      "apiVersion": "2.0.15",
      "slot": 341197247
    },
    "value": [
      {
        "data": [
          "",
          "base58"
        ],
        "executable": false,
        "lamports": 88849814690250,
        "owner": "11111111111111111111111111111111",
        "rentEpoch": 18446744073709552000,
        "space": 0
      },
      {
        "data": [
          "",
          "base58"
        ],
        "executable": false,
        "lamports": 998763433,
        "owner": "2WRuhE4GJFoE23DYzp2ij6ZnuQ8p9mJeU6gDgfsjR4or",
        "rentEpoch": 18446744073709552000,
        "space": 0
      }
    ]
  },
  "id": 1
}